Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class ContentProviders

    java.lang.Object
      |
      +--com.bea.p13n.ad.ContentProviders

public class ContentProviders
extends java.lang.Object

The primary use of ContentProviders is as a AdContentProvider factory based upon the mime type being processed. It provides some commen routines to deal with XHTML output.

Field Summary
`static java.lang.String` | `ALT_TEXT`
`static java.lang.String` | `ANCHOR_TARGET`
`static java.lang.String` | `DEF_AD_CLICK_THRU_URI` The default partial uri of the Ad Click-Thru handler.
`static java.lang.String` | `DEF_SHOW_DOC_URI` The default partial uri of the Show Document handler.
`static java.lang.String` | `IMG_BORDER`
`static java.lang.String` | `MAP_NAME`
`static java.lang.String` | `MAP_TEXT`
`static java.lang.String` | `TARGET_CONTENT`
`static java.lang.String` | `TARGET_URL`
`static java.lang.String` | `USE_XHTML`
`static java.lang.String` | `WIN_CLOSE`
`static java.lang.String` | `WIN_TARGET`

Constructor Summary
`ContentProviders()`

Method Summary
`static java.lang.String` | `createNewWindowContent(Content c, long id, java.lang.String target, java.lang.String servletBase, int options)` Write the necessary XHTML script to create a new window which will renderer the Content.
`static java.lang.String` | `getAdClickThruURI()` Get the partial URI to the Ad Click-Thru handler.
`static java.lang.String` | `getClickTarget(Content c, java.lang.String servletBase)` Return the xhtml string that represents the URL for a click thru.
`static AdContentProvider` | `getContentProvider(java.lang.String mimeType)` Return an AdContentProvider based upon the mimeType
`static java.util.Properties` | `getContentProviderProperties(java.lang.String mimeType)` Return the configuration properties for a mime type's AdContentProvider.
`static java.lang.String` | `getShowDocURI()` Get the partial URI to the Show Document handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TARGET_URL

    public static final java.lang.String TARGET_URL

### TARGET_CONTENT

    public static final java.lang.String TARGET_CONTENT

### ALT_TEXT

    public static final java.lang.String ALT_TEXT

### MAP_NAME

    public static final java.lang.String MAP_NAME

### MAP_TEXT

    public static final java.lang.String MAP_TEXT

### WIN_CLOSE

    public static final java.lang.String WIN_CLOSE

### WIN_TARGET

    public static final java.lang.String WIN_TARGET

### IMG_BORDER

    public static final java.lang.String IMG_BORDER

### ANCHOR_TARGET

    public static final java.lang.String ANCHOR_TARGET

### USE_XHTML

    public static final java.lang.String USE_XHTML

### DEF_AD_CLICK_THRU_URI

    public static final java.lang.String DEF_AD_CLICK_THRU_URI

  The default partial uri of the Ad Click-Thru handler.

### DEF_SHOW_DOC_URI

    public static final java.lang.String DEF_SHOW_DOC_URI

  The default partial uri of the Show Document handler.

Constructor Detail

### ContentProviders

    public ContentProviders()

Method Detail

### getContentProvider

    public static AdContentProvider getContentProvider(java.lang.String mimeType)
                                                throws AdContentException

  Return an AdContentProvider based upon the mimeType

  This will look for the appropriate AdContentProviderMBean as a child of the application's AdServiceMBean (in the META-INF/application-config.xml).

  Parameters:
    `mimeType` - the mime type of we want to render
  See Also:
    `AdContentProviderMBean`, `AdServiceMBean`

### getContentProviderProperties

    public static java.util.Properties getContentProviderProperties(java.lang.String mimeType)
                                                             throws AdContentException

  Return the configuration properties for a mime type's AdContentProvider.

  This assumes getContentProvider(mimeType) has already been invoked or is coming from an AdContentProvider implementation.

  Parameters:
    `mimeType` - the mime type of we want to render

### createNewWindowContent

    public static java.lang.String createNewWindowContent(Content c,
                                                          long id,
                                                          java.lang.String target,
                                                          java.lang.String servletBase,
                                                          int options)
                                                   throws AdContentException

  Write the necessary XHTML script to create a new window which will renderer the Content.

  Parameters:
    `c` - the Content object that we will render
    `id` - the ad bucket identifier
    `target` - the window target
    `servletBase` - the Web App root of the click thru servlet
    `options` - the render options

### getClickTarget

    public static java.lang.String getClickTarget(Content c,
                                                  java.lang.String servletBase)
                                           throws AdContentException,
                                                  java.rmi.RemoteException

  Return the xhtml string that represents the URL for a click thru. The actual URL target is the click thru servlet with a set of parameters that will allow for the redirect.

  Parameters:
    `c` - the content object
    `servletBase` - the Web App root of the servlet base

### getAdClickThruURI

    public static java.lang.String getAdClickThruURI()

  Get the partial URI to the Ad Click-Thru handler.

  See Also:
    `AdServiceMBean`

### getShowDocURI

    public static java.lang.String getShowDocURI()

  Get the partial URI to the Show Document handler.

  See Also:
    `AdServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved